Page MenuHomePhabricator

Growth: signature should not be at its own line according to cswiki policies
Closed, ResolvedPublic

Description

Hey all,

all Growth-team made products, which adds discussion posts, currently add a signature as its own line. At cswiki, a signature is usually added right after the last sentence.

Can this be changed, please? Also, @revi, can you comment what's common on kowiki?

Thanks,
Martin

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterSignature should not be at its own line

Event Timeline

Urbanecm created this task.Jun 21 2019, 7:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2019, 7:05 PM

Change 518717 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Signature should not be at its own line

https://gerrit.wikimedia.org/r/518717

Urbanecm claimed this task.Jun 24 2019, 2:15 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 24 2019, 2:15 PM
kostajh added subscribers: MMiller_WMF, kostajh.

@MMiller_WMF when you're back, please weigh in on this. Thanks!

revi added a comment.Jun 25 2019, 10:16 AM

For Korean Wikipedia either own line or just after the last paragraph is both fine. If you just want to follow cswiki rules on kowiki, that's fine from kowiki perspective.

@Urbanecm -- that would be fine with me. Could you tell us exactly how to format it? Should it contain two dashes (--) or something, like the following:

This is my help question. -- ~~~~

MMiller_WMF renamed this task from Signature should not be at its own line according to cswiki policies to Growth: signature should not be at its own line according to cswiki policies.Jul 3 2019, 9:15 PM
MMiller_WMF added subscribers: SBisson, Catrope, Etonkovidova and 5 others.

@MMiller_WMF: Ideally, question + ' --~~~~'.

@Urbanecm -- sounds good. I see that you already have a patch for this. We should make sure this patch applies to the help panel, homepage help module, and homepage mentorship module. I'm moving this to Code Review.

Change 518717 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Signature should not be at its own line

https://gerrit.wikimedia.org/r/518717

@MMiller_WMF - moved to PM Review for information only.
Checked in betalabs (from Homepage Mentor and Help modules and from Help panel) - a signature is correctly placed:

MMiller_WMF closed this task as Resolved.Jul 9 2019, 12:27 AM

Thank you!